.night-theme {

  /* iview */
  .ivu-input-group-append, .ivu-input-group-prepend {
    color: #fff;
    background-color: rgb(41, 41, 51);
    border: 1px solid rgb(63, 63, 83);
  }
  .ivu-select {
    color: #fff;
  }
  .ivu-input-group .ivu-input {
    background: rgb(39, 39, 51);
  }
  .ivu-input {
    border: 1px solid rgb(63, 63, 83);
    color: #fff;
  }
  .ivu-select-dropdown {
    background-color: rgb(39, 39, 51);
    box-shadow: 0 1px 6px rgb(20, 45, 112);
  }
  .ivu-select-item:hover {
    background: rgb(53, 53, 66);;
  }
  .ivu-page-next, .ivu-page-prev {
    background-color: rgb(39, 39, 51);
  }
  .ivu-page-item-jump-next, .ivu-page-item-jump-prev, .ivu-page-next, .ivu-page-prev {
    color: rgb(115, 152, 253);
    border: 1px solid rgb(55, 72, 119);
  }
  .ivu-page-item {
    background-color: rgb(39, 39, 51);
    border: 1px solid rgb(55, 72, 119);
  }
  .ivu-select-selection {
    background-color: rgb(39, 39, 51);
    border: 1px solid rgb(63, 63, 83);
  }
  .ivu-select-item-focus {
    background: #40404a;
  }
  .ivu-table-wrapper {
    border: 1px solid rgb(63, 63, 83);
    border-radius: 10px;
    box-shadow: 0 0 5px 0 #b29a7b;
  }
  .ivu-table {
    color: rgba(227, 227, 227, 0.91);
    background-color: rgba(41, 41, 51, 0.65);
  }
  .ivu-table th {
    color: #efc086;
    background-color: rgba(41, 41, 51, 0.65);
  }
  .ivu-table-border td, .ivu-table-border th {
    border-right: 1px solid rgb(55, 72, 119);
  }
  .ivu-table td {
    background-color: rgba(41, 41, 51, 0.65);
  }
  .ivu-table td, .ivu-table th {
    border-bottom: 1px solid rgb(55, 72, 119);
  }
  .ivu-table-fixed, .ivu-table-fixed-right {
    // box-shadow: 2px 0 6px -2px rgb(67, 100, 189);
  }
  .ivu-table:before {
    background-color: rgb(55, 72, 119);
  }
  .ivu-table-fixed-right::before, .ivu-table-fixed::before {
    background-color: rgb(55, 72, 119);
  }
  .ivu-table:after {
    background-color: rgb(55, 72, 119);
  }
  .ivu-upload-drag {
    background-color: rgba(0, 0, 0, 0);
  }
  .ivu-input.ivu-input-default.ivu-input-with-suffix {
    background: rgb(39, 39, 51);
    border: 1px solid rgb(63, 63, 83);
    color: rgba(184, 184, 184, 0.91);
  }
  .ivu-input.ivu-input-default {
    background: rgb(39, 39, 51);
    border: 1px solid rgb(63, 63, 83);
    color: rgba(184, 184, 184, 0.91);
  }
  .ivu-table-stripe .ivu-table-body tr:nth-child(2n) td, .ivu-table-stripe .ivu-table-fixed-body tr:nth-child(2n) td {
    background: rgba(9, 12, 20, 0.51);
  }
  tr.ivu-table-row-hover td {
    background: rgb(39, 39, 51);
    &:hover {
      background: rgb(39, 39, 51);
    }
  }
  .ivu-table-stripe .ivu-table-body tr.ivu-table-row-hover td, .ivu-table-stripe .ivu-table-fixed-body tr.ivu-table-row-hover td {
    background: inherit;
    color: #ffc987;
    &:hover {
      background: inherit;
      color: #ffc987;
    }
  }
  .ivu-checkbox-inner {
    background: rgb(39, 39, 51);
  }
  .ivu-radio-inner {
    background-color: #40404a;
  }
  .ivu-date-picker-cells-cell-range:before {
    background: #29547c;
  }
  .ivu-spin-fix {
    background-color: rgba(4, 18, 42, 0.4);
  }

  /* html editor */
  .ql-snow {
    background-color: rgba(15, 54, 80, 0.85);
  }
  .ql-toolbar.ql-snow {
    border-color: rgb(68, 132, 192);
  }
  .ql-snow .ql-stroke {
    stroke: #9895d2;
  }
  .ql-snow .ql-fill, .ql-snow .ql-stroke.ql-fill {
    fill: #9895d2;
  }
  .ql-container.ql-snow {
    border-color: rgb(68, 132, 192);
    color: #e4e4e4;
  }
  .ql-editor.ql-blank::before {
    color: #c0c0c0;
  }
}
